﻿/* RECODES FOR CHAPTER 2 ANALYSIS */

RECODE x2control (2=1)(1=0) INTO private.

RECODE x2txmtscor (Lowest thru 57.9900=0)
(57.9901 thru Highest=1) INTO highmath.

RECODE x2parpattern (1=1) (2=2) (3=4) (4=2) (5 thru 6=4)
(7 thru 8=3) (9 thru 11=4) INTO famstruct.

/* RECODES FOR CHAPTER 3 ANALYSIS */

RECODE x2control (1=1)(2=0) INTO nprivate.

RECODE x2parpattern (1=1) (else=0) INTO twopar.
RECODE x2parpattern (2=1) (4=1) (else=0) INTO step.
RECODE x2parpattern (7 thru 8=1) (else=0) INTO single. 
RECODE x2parpattern (3=1) (5 thru 6=1) (9 thru 11=1) (else=0) INTO famoth. 

RECODE x2sesq5 (1=1) (else=0) INTO sesq51. 
RECODE x2sesq5 (2=1) (else=0 )INTO sesq52.
RECODE x2sesq5 (3=1) (else=0 )INTO sesq53.
RECODE x2sesq5 (4=1) (else=0 )INTO sesq54.
RECODE x2sesq5 (5=1) (else=0 )INTO sesq55.

RECODE x2paredu (1=1) (else=0) INTO pared1.
RECODE x2paredu (2=1) (else=0) INTO pared2.
RECODE x2paredu (3 thru 4=1) (else=0) INTO pared3.
RECODE x2paredu (5=1) (else=0) INTO pared4.
RECODE x2paredu (6=1) (else=0) INTO pared5.
RECODE x2paredu (7=1) (else=0) INTO pared6. 

RECODE x2paredu (1=1) (2=2) (3 thru 4=3) (5=4) (6=5) (7=6) INTO paredsix. 

RECODE x2ses (-1.7501 thru -0.8428 = 1) INTO sesdec.
RECODE x2ses (-0.8429 thru -0.5737 = 1) INTO sesdec.
RECODE x2ses (-0.5738 thru -0.3828 = 1) INTO sesdec.
RECODE x2ses (-0.3829 thru -0.1792 = 1) INTO sesdec.
RECODE x2ses (-0.1793 thru 0.0332 = 1) INTO sesdec.
RECODE x2ses ( 0.0333 thru 0.2582 = 1) INTO sesdec.
RECODE x2ses ( 0.2583 thru 0.4967 = 1) INTO sesdec.
RECODE x2ses ( 0.4968 thru 0.7782 = 1) INTO sesdec.
RECODE x2ses ( 0.7783 thru 1.1324 = 1) INTO sesdec.
RECODE x2ses ( 1.1325 thru 2.2824 = 1) INTO sesdec.

RECODE x2ses (-1.7501 thru -0.8428 = 1) (else=0) INTO sesd01.
RECODE x2ses (-0.8427 thru -0.5737 = 1) (else=0) INTO sesd02.
RECODE x2ses (-0.5736 thru -0.3828 = 1) (else=0) INTO sesd03.
RECODE x2ses (-0.3827 thru -0.1792 = 1) (else=0) INTO sesd04.
RECODE x2ses (-0.1791 thru 0.0332 = 1) (else=0) INTO sesd05.
RECODE x2ses ( 0.0333 thru 0.2582 = 1) (else=0) INTO sesd06.
RECODE x2ses ( 0.2583 thru 0.4967 = 1) (else=0) INTO sesd07.
RECODE x2ses ( 0.4968 thru 0.7782 = 1) (else=0) INTO sesd08.
RECODE x2ses ( 0.7783 thru 1.1324 = 1) (else=0) INTO sesd09.
RECODE x2ses ( 1.1325 thru 2.2824 = 1) (else=0) INTO sesd10. 

/* RECODES FOR CHAPTER 4 ANALYSIS */

COMPUTE stepsing = step+single.

COMPUTE stepfamoth=step+famoth.

COMPUTE singlefamoth=single+famoth.

/* RECODES FOR CHAPTER 5 ANALYSIS */

RECODE x2paredu (1 thru 2=1) (else=0) INTO hsorless.
RECODE x2paredu (3 thru 4=1) (else=0) INTO twoyr.
RECODE x2paredu (5=1) (else=0) INTO fouryr.
RECODE x2paredu (6 thru 7=1) (else=0) INTO grad.

RECODE x2paredu (1 thru 2=1) (3 thru 4=2) (5=3)
(6 thru 7=4) INTO paredfour. 

RECODE x2famincome 
(1=.75) (2=2.5) (3=4.5) (4=6.5) (5=8.5) (6=10.5) (7=12.5) (8=14.5) (9=16.5) (10=18.5) (11=20.5) (12=22.5) (13=49.5) INTO faminc.

RECODE x2famincome (1=1) (2=1) (3=2) (4=2) (5=3) (6=3) (else=4) INTO faminc4.

RECODE x2race (8=1)(else=0) INTO white.

RECODE x2race (3=1)(else=0) INTO black.

RECODE x2race (1 thru 2=1)(4 thru 7=1)(else=0) INTO othrace.

RECODE x2race (8=1) (3=2) (else=3) INTO raceeth.

/* RECODES FOR CHAPTER 6 ANALYSIS */

RECODE x2paredu (1 thru 4=0) (5 thru 7=1) INTO parcoll. 

RECODE x2paredu (1 thru 4=1) (5 thru 7=0) INTO nparcoll. 

COMPUTE pcolltwo = parcoll * twopar.

COMPUTE pcollstep = parcoll * step.

COMPUTE pcollsing = parcoll * single.

COMPUTE pcollfoth = parcoll * famoth.

COMPUTE npcolltwo = nparcoll * twopar.

COMPUTE npcollstep = nparcoll * step.

COMPUTE npcollsing =nparcoll * single.

COMPUTE npcollfoth = nparcoll * famoth.

RECODE x2ses 
(Lowest thru -.480000=1) 
(-.479999 thru .030000=2) 
(.030001 thru .630000=3) 
(.630001 thru Highest=4) INTO sesq4.

COMPUTE twoparses = twopar * sesq4.

COMPUTE stepses = step * sesq4.

COMPUTE singleses = single * sesq4.

COMPUTE famothses =famoth * sesq4.

COMPUTE intsum = stepses + singleses + famothses.

COMPUTE wparcoll = white *  parcoll.

COMPUTE bparcoll = black *  parcoll.

COMPUTE oparcoll = othrace *  parcoll.

RECODE x2sex (2=1)(1=0) INTO female.

COMPUTE wfemale = white *  female.

COMPUTE bfemale = black *  female.

COMPUTE ofemale = othrace *  female.

COMPUTE femcoll = female * parcoll. 

COMPUTE wfemcoll = white * female * parcoll.

COMPUTE bfemcoll = black * female * parcoll.

COMPUTE ofemcoll = othrace * female * parcoll.

COMPUTE wfemncoll = white * female * nparcoll.

COMPUTE bfemncoll = black * female * nparcoll.

COMPUTE ofemncoll = othrace * female * nparcoll.

COMPUTE wfaminc = white *  faminc.

COMPUTE bfaminc = black *  faminc.

COMPUTE ofaminc = othrace *  faminc.

COMPUTE bnpcoll = black *  nparcoll.
 
COMPUTE onpcoll = othrace * nparcoll.

COMPUTE twoinc = twopar * faminc.

COMPUTE stepinc = step * faminc.

COMPUTE singleinc = single * faminc. 

COMPUTE famothinc =famoth * faminc. 

COMPUTE wtwopar = white *  twopar.

COMPUTE btwopar = black *  twopar.

COMPUTE otwopar = othrace *  twopar.

/* RECODES FOR CHAPTER 7 ANALYSIS */

RECODE x2ses  (Lowest thru -.480000=1) (else=0) INTO sesq4_1.
RECODE x2ses  (-.479999 thru .030000=1) (else=0)  INTO sesq4_2.
RECODE x2ses  (.030001 thru .630000=1) (else=0) INTO sesq4_3.
RECODE x2ses  (.630001 thru Highest=1) (else=0)  INTO sesq4_4.

COMPUTE jsesq4_3 = sesq4_3+sesq4_4.

COMPUTE jsesq4_2 = sesq4_2+sesq4_3 +sesq4_4. 

COMPUTE sesjsum = jsesq4_2+jsesq4_3 +sesq4_4.

RECODE x2ses (  -1.7501 thru  -1.4167 = 1) INTO x2ses_12.
RECODE x2ses (  -1.4166 thru  -1.0835 = 2) INTO x2ses_12.
RECODE x2ses (  -1.0834 thru  -0.7502 = 3) INTO x2ses_12.
RECODE x2ses (  -0.7501 thru  -0.4167 = 4) INTO x2ses_12.
RECODE x2ses (  -0.4166 thru  -0.0834 = 5) INTO x2ses_12.
RECODE x2ses (  -0.0833 thru   0.2499 = 6) INTO x2ses_12.
RECODE x2ses (   0.2500 thru   0.5833 = 7) INTO x2ses_12.
RECODE x2ses (   0.5834 thru   0.9167 = 8) INTO x2ses_12.
RECODE x2ses (   0.9168 thru   1.2501 = 9) INTO x2ses_12.
RECODE x2ses (   1.2502 thru   1.5835 =10) INTO x2ses_12.
RECODE x2ses (   1.5836 thru   1.9169 =11) INTO x2ses_12.
RECODE x2ses (   1.9170 thru   2.2824 =12) INTO x2ses_12.

RECODE x2ses_12 ( 1=1) (2 thru 12=2) (ELSE=0) INTO S_1_2.
RECODE x2ses_12 ( 3=1) (4 thru 12=2) (ELSE=0) INTO S_3_4.
RECODE x2ses_12 ( 5=1) (6 thru 12=2) (ELSE=0) INTO S_5_6.
RECODE x2ses_12 ( 7=1) (8 thru 12=2) (ELSE=0) INTO S_7_8.
RECODE x2ses_12 ( 9=1) (10 thru 12=2) (ELSE=0) INTO S_9_10.
RECODE x2ses_12 (11=1) (12 thru 12=2) (ELSE=0) INTO S_11_12.

COMPUTE   D_9_10 = S_9_10 + S_11_12.
COMPUTE   D_7_8  = S_7_8 + D_9_10.
COMPUTE   D_5_6  = S_5_6 + D_7_8.
COMPUTE   D_3_4  = S_3_4 + D_5_6.
COMPUTE   D_1_2  = S_1_2 + D_3_4.
COMPUTE   S_1_6 = S_1_2 + S_3_4 + S_5_6.
COMPUTE   S_7_12 = S_7_8 + S_9_10 + S_11_12.
COMPUTE   S_1_8 = S_1_2 + S_3_4 + S_5_6 + S_7_8.
COMPUTE   S_9_12 = S_9_10 + S_11_12.

COMPUTE check1= S_1_2 + S_3_4 + S_5_6 + S_7_8 + S_9_10 + S_11_12.

COMPUTE S01=0.
COMPUTE S02=0. 
COMPUTE S03=0.
COMPUTE S04=0. 
COMPUTE S05=0. 
COMPUTE S06=0.
IF -1.7501<=x2ses and x2ses<=-1.0835 S01=x2ses-(-1.7501).
IF x2SES>-1.0835 S01=.6666. 
IF -1.0835<x2ses and x2ses<=-0.4167 S02=x2ses-(-1.0835).
IF x2SES>-0.4167 S02=.6668. 
IF -0.4167<x2ses and x2ses<= 0.2499 S03=x2ses-(-0.4167).
IF x2SES> 0.2499 S03=.6666.
IF  0.2499<x2ses and x2ses<= 0.9167 S04=x2ses-( 0.2499).
IF x2SES> 0.9167 S04=.6668. 
IF  0.9167<x2ses and x2ses<= 1.5835 S05=x2ses-( 0.9167).
IF x2SES> 1.5835 S05=.6668. 
IF  1.5835<x2ses and x2ses<= 2.2824 S06=x2ses-( 1.5835).

COMPUTE   S_01_03 = S01 + S02 + S03.
COMPUTE   S_04_06 = S04 + S05 + S06.

COMPUTE check2= S01+S02+S03+S04+S05+S06+(-1.7501).

COMPUTE S1=0.
COMPUTE S2=0. 
COMPUTE S3=0.
COMPUTE S4=0. 
IF -1.7501<=x2ses and x2ses<=-0.7501 S1=x2ses-(-1.7501).
IF x2SES>-.7501 S1=1.0000. 

IF -0.7501<x2ses and x2ses<=0.2499 S2=x2ses-(-0.7501).
IF x2SES>0.2499 S2=1.0000. 

IF 0.2499<x2ses and x2ses<= 1.2499 S3=x2ses-( 0.2499).
IF x2SES> 1.2499 S3=1.0000.

IF  1.2499<x2ses and x2ses<= 2.2824 S4=x2ses-( 1.2499).

COMPUTE   S12 = S1 + S2.
COMPUTE   S34 = S3 + S4.

COMPUTE check3= S1+S2+S3+S4+(-1.7501).

